Skip to Content

Report a sync run

Needs the scope products:write

Tell us after each scheduled sync run. Your CharpstAR contact then sees when your system last synced and whether it went well. Optional.

Request Body

application/json
  1. body
system?string

Leave it out (it is api), unless your CharpstAR contact gives you another value.

Default"api"
Value in"dynamics365""akeneo""api"
displayName?|

A name for your sync, shown to your CharpstAR contact.

run?|

What the run did.

Response Body

OK

application/json
  1. response
ok*boolean
system*string
lastSyncAt*string
Formatdate-time
Example Request
curl -sS https://platform.charpstar.co/api/v1/integration/heartbeat \  -H "Authorization: Bearer $CHARPSTAR_API_KEY" \  -H "Content-Type: application/json" \  -d '{ "displayName": "Nightly catalogue sync", "run": { "startedAt": "2026-10-20T02:00:00Z", "read": 412, "sent": 12, "writtenBack": 3, "errors": [] } }'
Example Response
{  "ok": true,  "system": "api",  "lastSyncAt": "2026-10-20T02:04:11.000Z"}